PRINT
  -reset false

PHASES
Fix_H+
   H+ = H+
   log_k 0.0

SELECTED_OUTPUT 1
   -high_precision true
   -reset false

USER_PUNCH 1
-headings allmin
-start
70 REM Make a single tag of all mineral phase names so that they can be included in the next simulation
80 s$ = ""
90 REM Get a list of possible minerals
100 simax = SYS("phases", np, np$, tp$, sis)

110 FOR i = 1 TO np
130    IF(INSTR(np$(i), "(g)") > 0 OR INSTR(np$(i), "Fix") > 0) THEN 160  # filter out gases and virtual phases
140    s$ = s$ + TRIM(np$(i)) + " 0 0" + CHR$(59)       # e.g. Fe(OH)3(a) 0 0... CHR$(59) is a semi-colon
150    PRINT i, TRIM(np$(i)), sis(i)
160 NEXT i

170 PUNCH s$    # send it
190 print "allmin ", s$
220 END

